/*------------------------------------------------------------------*-

   Display_count.C (v1.00)

  ------------------------------------------------------------------

   Display an unsigned char on a port.
   
 
   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include "Main.H"
#include "Port.H"

#include "Display_Count.H"

/*------------------------------------------------------------------*-

  DISPLAY_COUNT_Init()

  Initialisation function for the DISPLAY COUNT library.

-*------------------------------------------------------------------*/
void DISPLAY_COUNT_Init(void)
   {
   Count_port = 0x00;
   }

/*------------------------------------------------------------------*-

  DISPLAY_COUNT_Update()

  Simple function to display tByte data (COUNT) 
  on LEDs connected to port (Count_Port)

-*------------------------------------------------------------------*/
void DISPLAY_COUNT_Update(const tByte COUNT)
   {
   Count_port = COUNT;
   } 

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/

