/*------------------------------------------------------------------*-

   Main.c (v1.00)

  ------------------------------------------------------------------

   RS-232 (Elapsed Time) example - sEOS.

   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include "Main.H"
#include "Port.H"
#include "Simple_EOS.H"

#include "PC_O_T1.h"
#include "Elap_232.h"

/* --------------------------------------------------------------- */

void main(void)
   {
   // Set baud rate to 9600
   PC_LINK_O_Init_T1(9600);

   // Prepare for elapsed time measurement
   Elapsed_Time_RS232_Init();

   // Set up simple EOS (5ms tick)
   sEOS_Init_Timer2(5);    
   
   while(1) // Super Loop
      {
      sEOS_Go_To_Sleep();  // Enter idle mode to save power
      }
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
